Skip to main content
POST
Create a knowledge base

Authorizations

Authorization
string
header
required

Your Wixzel Voice API key: Authorization: Bearer wv_live_.... Keys are scoped; grant only what the integration needs.

Body

application/json
name
string
required
Required string length: 1 - 200
description
string
Maximum string length: 2000
basic_info
string
Maximum string length: 20000
faqs
object[]
Maximum array length: 200
other_info
string
Maximum string length: 20000

Response

The created a knowledge base

id
string
required
Pattern: ^[0-9a-f]{24}$
Example:

"6a96a3ead6e886d42462dd3e"

object
enum<string>
required
Available options:
knowledge_base
name
string
required
description
string | null
required
basic_info
string | null
required
faqs
object[]
required
other_info
string | null
required
created_at
string<date-time>
required

ISO 8601, always UTC.

Example:

"2026-09-01T12:00:00.000Z"